[arch-commits] Commit in qwtplot3d/trunk (PKGBUILD qwtplot3d-gcc44.patch)

Eric Bélanger eric at archlinux.org
Thu Jan 21 16:29:39 EST 2010


    Date: Thursday, January 21, 2010 @ 16:29:39
  Author: eric
Revision: 64675

upgpkg: qwtplot3d 0.2.7-2
    Rebuilt for libpng 1.4 and libjpeg 8

Added:
  qwtplot3d/trunk/qwtplot3d-gcc44.patch
Modified:
  qwtplot3d/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   10 ++++++----
 qwtplot3d-gcc44.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-21 21:28:44 UTC (rev 64674)
+++ PKGBUILD	2010-01-21 21:29:39 UTC (rev 64675)
@@ -4,18 +4,20 @@
 pkgname=qwtplot3d
 pkgver=0.2.7
 origver=0.2.7
-pkgrel=1
+pkgrel=2
 pkgdesc="Qt/OpenGL-based C++ programming library containing 3d-widgets"
 arch=("i686" "x86_64")
 license=('custom:zlib')
 url="http://qwtplot3d.sourceforge.net/"
 depends=('qt>=4.3' 'qwt>=5.0.2')
+source=("http://downloads.sourceforge.net/sourceforge/qwtplot3d/qwtplot3d-$origver.tgz"
+        qwtplot3d-gcc44.patch)
+md5sums=('2f14660152e2e26bfeaaeec479ed9f2b' '92ad261ed5344bc773cba05b324cfe74')
+sha1sums=('4463fafb8420a91825e165da7a296aaabd70abea' '52fa169b651a98550f8a8391ddf52e0eaeb2c215')
 
-source=("http://downloads.sourceforge.net/sourceforge/qwtplot3d/qwtplot3d-$origver.tgz")
-md5sums=('2f14660152e2e26bfeaaeec479ed9f2b')
-
 build() {
     cd $startdir/src/$pkgname
+    patch -p1 < ../qwtplot3d-gcc44.patch || return 1
   #  . /etc/profile.d/qt3.sh
     # build qwt:
     qmake qwtplot3d.pro

Added: qwtplot3d-gcc44.patch
===================================================================
--- qwtplot3d-gcc44.patch	                        (rev 0)
+++ qwtplot3d-gcc44.patch	2010-01-21 21:29:39 UTC (rev 64675)
@@ -0,0 +1,12 @@
+diff -ur qwtplot3d-orig/include/qwt3d_function.h qwtplot3d/include/qwt3d_function.h
+--- qwtplot3d-orig/include/qwt3d_function.h	2009-07-25 18:18:58.000000000 -0400
++++ qwtplot3d/include/qwt3d_function.h	2009-07-25 18:19:19.000000000 -0400
+@@ -2,6 +2,7 @@
+ #define qwt3d_function_h__2004_03_05_13_51_begin_guarded_code
+ 
+ #include "qwt3d_gridmapping.h"
++#include <cstdio>
+ 
+ namespace Qwt3D
+ {
+Only in qwtplot3d/tmp: qwt3d_function.o



More information about the arch-commits mailing list